%define name    eio
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Enlightenment Input Output Library
Name:    %{name}
Version: %{version}
Release: %release
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: pkgconfig(eina) >= %{version}-0.%svn
BuildRequires: pkgconfig(ecore) >= %{version}-0.%svn
%else
BuildRequires: pkgconfig(eina) >= %{version}
BuildRequires: pkgconfig(ecore) >= %{version}
%endif

%description
This library is intended to provide non blocking IO by using thread for all
operation that may block. It depends only on eina and ecore right now. It
should integrate all the features/functions of Ecore_File that could block.

This should become one day part of what we call the EFL and be a dependence
of E17. Feel free to contribute, help is always appreciated !

%package -n %libname
Summary: Enlightenment Input Output Library
Group: System/Libraries

%description -n %libname
Enlightenment Input Output Library.

%package -n %develname
Summary: Enlightenment Input Output Library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
eio development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Feb 15 2014 trem <trem> 1.7.10-1.mga4
+ Revision: 591891
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552467
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463330
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-1.mga4
+ Revision: 463237
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444969
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412569
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339280
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333862
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327937
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321324
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320199
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290153
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.0.1-1.mga3
+ Revision: 258952
- update to 1.0.1

* Thu Jun 07 2012 trem <trem> 1.0.0-1.mga3
+ Revision: 257095
- update to 1.0.0 (stable release)

* Sun Mar 11 2012 trem <trem> 0.1.0-0.r69188.1.mga2
+ Revision: 222684
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.0-0.r69165.1.mga2
+ Revision: 222418
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.0-0.r68658.1.mga2
+ Revision: 217995
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.0-0.r68649.1.mga2
+ Revision: 217545
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.0-0.r68450.1.mga2
+ Revision: 215211
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.0-0.r68434.1.mga2
+ Revision: 214424
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.0-0.r68363.1.mga2
+ Revision: 213969
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.1.0-0.r68228.1.mga2
+ Revision: 212076
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.0-0.r68120.1.mga2
+ Revision: 210792
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.0-0.r68102.1.mga2
+ Revision: 210240
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.0-0.r67851.1.mga2
+ Revision: 207543
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.0-0.r67846.1.mga2
+ Revision: 207256
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.0-0.r67830.1.mga2
+ Revision: 206965
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.1.0-0.r67715.1.mga2
+ Revision: 206000
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680
- update to release 65867
- update to release 65688
- update to release 65613
- update to release 65428

* Sat Nov 05 2011 trem <trem> 0.1.0-0.r64766.1.mga2
+ Revision: 163810
- imported package eio

